Skip to main content
GET
/
api
/
v2
/
subscriptions
List subscriptions
curl --request GET \
  --url https://rcur.app/api/v2/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "sub_abc123",
      "name": "Monthly Premium",
      "status": "active",
      "start_date": "2025-01-01",
      "created_at": "2025-01-01 10:00:00",
      "mollie_mandate_id": "mdt_abc123",
      "mollie_profile_id": "pfl_abc123",
      "next_payment_at": "2025-02-01",
      "next_amount": "29.99",
      "last_payment_created_at": "2025-01-01 10:00:00",
      "resume_at": "2025-03-01",
      "cancel_at": "2025-12-31",
      "rules": [
        {
          "id": "rule_abc123",
          "amount": "29.99",
          "currency": "EUR",
          "interval": "month",
          "interval_amount": 1,
          "day": 1,
          "times_done": 3,
          "times": 12
        }
      ],
      "customer": {}
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 5
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number for pagination

Response

200 - application/json

List of subscriptions

data
object[]
meta
object